Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7938 - lilo won't default boot dos/windows
Summary: lilo won't default boot dos/windows
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lilo
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-21 22:10 UTC by Richard Schaal
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-04 22:20:07 UTC


Attachments (Terms of Use)

Description Richard Schaal 1999-12-21 22:10:21 UTC
Lilo will not set "dos" as the default boot with a lilo.conf that reads
thus:

multiboot-$ cat /etc/lilo.conf
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50
default=linux
linear

other=/dev/hda1
        label=dos
        table=/dev/hda

image=/boot/vmlinuz.rds
        label=linux
        read-only
        root=/dev/hdb6

image=/boot/vmlinuz-2.2.12-20
        label=linux.orig
        initrd=/boot/initrd-2.2.12-20.img
        read-only
        root=/dev/hdb6

Manually booting selecting one boot or another during the delay seems to
work ok.

Comment 1 Cristian Gafton 2000-01-04 22:20:59 UTC
Assigned to dledford

Comment 2 Jeremy Katz 2002-04-12 05:39:03 UTC
You need to set default=dos instead of default=linux in the lilo.conf


Note You need to log in before you can comment on or make changes to this bug.